The LAS Enhanced Video Generation/Basic Video Generation service is built around the Seedance 2.x series models, and enhances both the pre-processing and post-processing workflows for video generation. It integrates capabilities such as video format conversion, video segmentation, Video Inpaint, subtitle generation, Audio and Video Merge, Video Super Resolution, and more, expanding the boundaries of video generation models, improving the quality and duration of generated videos, reducing token consumption costs, and helping customers increase production efficiency.
As a general-purpose large video generation model, Seedance can be flexibly applied to a wide range of video generation scenarios. For example:
Based on reference images and reference videos, generate an advertisement video for LAS tea drink with Peking Opera makeup. The opening of the video basically matches reference image 1. In the middle section, the character walks to a desk, sees a pot of wine and a cup of LAS tea drink (reference image 2), shows slight hesitation, then chooses the LAS tea drink and drinks a sip with a straw. Close-up: after drinking, the character's previously dazed eyes instantly become bright, with a smile at the corner of their mouth, and says the line: "LAS tea drink, a sip of Beijing flavor. The story intoxicates, but you awaken." Then, at the end of the video, the character holds LAS in their left hand, raises their right hand's water sleeve slightly, and strikes the classic 'Please enjoy' pose. "
Convert the reference video into a Chinese ink animation style video, changing only the video style to Chinese ink animation, including the character, environment, props, and camera movement, while keeping all other aspects unchanged.
Replace the environment in the reference video with the environment from the reference image, keeping the character, props, and camera movement unchanged and smooth.
The arched window in video 1 opens, and the camera enters the interior of the art gallery, then continues with video 2. Afterwards, the camera moves into the painting, then continues with video 3.
Model series | Supported models |
|---|---|
Seedance 2.x series models |
|
Function
|
Subfeature / parameter | Seedance 2.5 | Seedance 2.0 | Seedance 2.0 Fast | Seedance 2.0 Mini |
|---|---|---|---|---|---|
Text-to-video |
| ✅ | ✅ | ✅ | ✅ |
Image-to-video | Image-to-video - first frame | ✅ | ✅ | ✅ | ✅ |
Image-to-video - first and last frames | ✅ | ✅ | ✅ | ✅ | |
Multimodal reference | Image reference | ✅ | ✅ | ✅ | ✅ |
Video reference | ✅ | ✅ | ✅ | ✅ | |
| ✅ | ✅ | ✅ | ✅ | |
Edit video | Not applicable | ✅ | ✅ | ✅ | ✅ |
Extend video | Not applicable | ✅ | ✅ | ✅ | ✅ |
Generate video with audio | ✅ | ✅ | ✅ | ✅ |
Sub-item | Performance impact description |
|---|---|
Maximum RPM |
|
Maximum concurrency |
|
Subcategory | Detailed requirements |
|---|---|
Input data modality |
The following combinations are supported:
tip When using different Seedance models, the supported input data modalities may vary. For details, refer to the "Model capabilities" section above. |
General requirements | The Seedance 2.x series models do not support directly uploading reference images or videos containing real human faces. To facilitate creators' use of portraits, you can apply to activate the LAS material library feature (allowlist feature), upload authorized real reference images or videos to the material library, and input the material library ID to the model. |
Input format: image |
|
Input format: video |
|
Input format: audio |
|
Input path requirements | Provide input data to the operator via the
|
Breakdown | Detailed requirements |
|---|---|
Output data type |
|
doubao-seedance-2-0-260128 |
|
doubao-seedance-2-0-fast-260128 |
|
doubao-seedance-2-0-mini-260615 |
|
Output path: API | After the operator completes processing, the pre-signed link for the generated video is returned directly through the video generation task query interface. The link is valid for 24 hours. |
tip
Estimated cost: Price calculator.
Billing standards
Breakdown items | Billing standards description |
|---|---|
Billing item | Duration of input/output video. |
Billing type | Usage-based billing, unit: CNY/second, billed hourly based on actual billing usage. |
Unit price | Depends on the algorithm version you select (Basic Edition, Enhanced Edition). |
warning
Billing details
Estimated billing: Total cost ≈ unit price * billing quantity = unit price * (input video duration + output video duration)
warning
The above formula is for cost estimation only. Actual billing is based on the bill.
Service version | Model | Input video status | Resolution | Unit price |
|---|---|---|---|---|
Basic Edition | seedance_2.0_fast | No input video | 480p | 0.744 CNY/second |
720p | 1.598 CNY/second | |||
With input video | 480p | 0.442 CNY/second | ||
720p | 0.95 CNY/second | |||
seedance_2.0_mini | No input video | 480p | 0.462 CNY/second | |
720p | 0.994 CNY/second | |||
With input video | 480p | 0.282 CNY/second | ||
720p | 0.605 CNY/second | |||
Enhanced Edition | seedance_2.0 | No input video | 480p | 0.924 CNY/second |
720p | 1.988 CNY/second | |||
1080p | 4.958 CNY/second | |||
4k | 10.108 CNY/second | |||
With input video | 480p | 0.562 CNY/second | ||
720p | 1.208 CNY/second | |||
1080p | 3.014 CNY/second | |||
4k | 6.22 CNY/second | |||
seedance_2.5 | No input video | 480p | 1.346 CNY/second | |
720p | 3.024 CNY/second | |||
With input video | 480p | 0.806 CNY/second | ||
720p | 1.814 CNY/second |
Billing example
Total cost ≈ unit price * billing quantity = 3.014 CNY/second * (5 seconds + 7 seconds) = 36.168 CNYDetails | Caution and prerequisites |
|---|---|
Costs | Before calling an operator, you need to understand the model invocation costs associated with using the operator. For details, see Large model invocation billing. |
Authentication (API Key) | Before calling an operator, you need to generate an API Key for operator invocation. It is recommended to configure the API Key as an environment variable to ensure safer operator calls. For details, see Obtain and configure API Key. |
BaseURL | Before calling an operator, you need to determine the BaseURL for operator invocation based on the region where your current LAS service is deployed. This is used to configure the path parameter values for operator calls. |
POST https://operator.las.ap-southeast-1.volces.com/api/v1/contents/generations/tasks
Use the seedance model to generate videos.
Parameter | Type | Required | Example value | Description |
|---|---|---|---|---|
model | string | Yes | doubao-seedance-2-0-260128 | The model ID you need to call. Supported:
|
content | object[] | Yes | Content provided to the model for generation. Supports text, image, video, and audio. | |
callback_url | string | Optional | `http://xxx/callback` | Callback notification address for the result of this generation task. When the task status changes, ModelArk will send a POST request to this address. Callback statuses include:
|
return_last_frame | boolean | Optional | false | Whether to return the last frame image of the video. Default is false.
|
execution_expires_after | integer | Optional | 172800 | Task timeout threshold, in seconds. Default is 172800 seconds (48 hours), value range is 3600 to 259200. |
resolution | string | Optional | 720p | Video resolution. Optional values:
|
ratio | string | Optional | 16:9 | Aspect ratio for the generated video. Supported:
adaptive adaptation rules:
|
duration | integer | Optional | 5 | Either duration or frames can be specified; frames has higher priority than duration. To generate a video with an integer number of seconds, it is recommended to specify duration. Supported range: 4 to 15 seconds. |
watermark | boolean | Optional | false | Whether the generated video contains a watermark.
|
Parameter | Type | Note |
|---|---|---|
id | string | Task ID, retained for 7 days only (calculated from the created at timestamp); after expiration, it will be automatically deleted. |
curl --location 'https://operator. /api/v1/contents/generations/tasks' \ --header 'Authorization: $LAS_API_KEY' \ --header 'Content-Type: application/json' \ --data '{ "model": "doubao-seedance-2-0-260128", "content": [ { "type": "text", "text": "请把@视频1的背景替换成@图片1" }, { "type": "image_url", "image_url": { "url": "image_url" }, "role": "reference_image" }, { "type": "video_url", "video_url": { "url": "video_url" }, "role": "reference_video" } ], "seed":42, "watermark": false }'
{ "id": "lsd-89b8ea3232b8f1205702" }
GET https://operator.las.ap-southeast-1.volces.com/api/v1/contents/generations/tasks/{id}
Query the status of the video generation task.
Parameter | Type | Required | Example value | Note |
|---|---|---|---|---|
id | string | Yes | cgt-2025******-**** | The ID of the video generation task you need to query. |
Parameter | Type | Example value | Description |
|---|---|---|---|
id | string | xxxx | Video generation task ID. |
model | string | doubao-seedance-2-0-260128 | Model name and version used for the task. |
status | string | succeeded | Task status:
|
error | error | Error message. Returns null when the task succeeds; returns an error object when the task fails. | |
created_at | integer | 1779348818 | Unix timestamp for task creation time, in seconds. |
updated_at | integer | 1779348874 | Unix timestamp for the current task status update time, in seconds. |
content | content | Output content of the video generation task. | |
seed | integer | 78674 | Seed integer value actually used for this task. |
resolution | string | 720p | Resolution of the generated video. |
ratio | string | 16:9 | Actual aspect ratio of the generated video; when adaptive is used when creating the task, this field provides the final ratio. |
duration | integer | 5 | Actual duration of the generated video, in seconds; when duration=-1 is set when creating the task, this field provides the duration chosen by the model. |
framespersecond | integer | 24 | Frame rate of the generated video. |
safety_identifier | string | user_7f3a9c | Unique identifier for the end user set when creating the task; not returned if not set. |
priority | integer | 0 | Execution priority of the current request. |
service_tier | string | default | Service tier used for actual task processing. Default default. |
execution_expires_after | integer | 172800 | Task timeout threshold, in seconds. |
usage | token_usage | Token usage for this request. |
curl --location "https://operator.las.ap-southeast-1.volces.com/api/v1/contents/generations/tasks/lsd-89b8ea3232b8f1205702" \ --header "Content-Type: application/json" \ --header "Authorization: Bearer $LAS_API_KEY"
{ "id": "lsd-89b8ea3232b8f1205702", "model": "doubao-seedance-2-0-260128", "status": "succeeded", "content": { "video_url": " `https://ark-acg-cn-beijing.tos-cn-beijing.volces.com/doubao-seedance-2-0/02178419371805600000000000000000000f****21.mp4?X-Tos-Algorithm=*****d&X-Tos-SignedHeaders=host` " }, "usage": { "completion_tokens": 648900, "total_tokens": 648900 }, "created_at": 1784193717, "updated_at": 1784194096, "seed": 84841, "resolution": "720p", "ratio": "16:9", "duration": 15, "framespersecond": 24, "service_tier": "default", "execution_expires_after": 172800, "priority": 0 }
HttpCode | Error code | Error message | Note |
|---|---|---|---|
401 | ApiKey.Invalid | The api key is invalid. | API is invalid |